Returns a list of payment methods saved to a customer record.
Successful operation. Returns information about a customer's saved payment methods.
Your client is not authorized to use the API endpoint.
Your client is not authorized to use the API endpoint.
The customer record does not exist.
Internal server error.
curl -i -X GET \ 'https://toast-api-server/v1/customers/{id}/payment-methods' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Toast-Restaurant-External-ID: 8dce2c23-283d-4a2a-8a11-d868a92a42d2' \ -H 'Toast-Session-Secret: session-secret'
{- "results": 2,
- "paymentMethods": [
- {
- "id": "579adc3e-49b6-4501-befd-b900b99575f5",
- "type": "CARD",
- "card": {
- "lastFour": "4242",
- "expiry": {
- "month": "12",
- "year": "27"
}, - "type": "VISA"
}
}, - {
- "id": "046dad73-7432-4e30-88a7-67f3413c2fb0",
- "type": "CARD",
- "card": {
- "lastFour": "4444",
- "expiry": {
- "month": "12",
- "year": "27"
}, - "type": "MASTERCARD"
}
}
]
}